Package io.dapr.v1

# Class DaprProtos.GetMetadataResponse

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprProtos.GetMetadataResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetMetadataResponseOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

public static final class DaprProtos.GetMetadataResponse extends com.google.protobuf.GeneratedMessageV3 implements DaprProtos.GetMetadataResponseOrBuilder

     GetMetadataResponse is a message that is returned on GetMetadata rpc call.

Protobuf type `dapr.proto.runtime.v1.GetMetadataResponse`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DaprProtos.GetMetadataResponse.Builder`
GetMetadataResponse is a message that is returned on GetMetadata rpc call.

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACTIVE_ACTORS_COUNT_FIELD_NUMBER`
`static final int`
`ACTOR_RUNTIME_FIELD_NUMBER`
`static final int`
`APP_CONNECTION_PROPERTIES_FIELD_NUMBER`
`static final int`
`ENABLED_FEATURES_FIELD_NUMBER`
`static final int`
`EXTENDED_METADATA_FIELD_NUMBER`
`static final int`
`HTTP_ENDPOINTS_FIELD_NUMBER`
`static final int`
`ID_FIELD_NUMBER`
`static final int`
`REGISTERED_COMPONENTS_FIELD_NUMBER`
`static final int`
`RUNTIME_VERSION_FIELD_NUMBER`
`static final int`
`SCHEDULER_FIELD_NUMBER`
`static final int`
`SUBSCRIPTIONS_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsExtendedMetadata(String key)`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`boolean`
`equals(Object obj)`
`DaprProtos.ActiveActorsCount`
`getActiveActorsCount(int index)`
Deprecated.
`int`
`getActiveActorsCountCount()`
Deprecated.
`List<DaprProtos.ActiveActorsCount>`
`getActiveActorsCountList()`
Deprecated.
`DaprProtos.ActiveActorsCountOrBuilder`
`getActiveActorsCountOrBuilder(int index)`
Deprecated.
`List<? extends DaprProtos.ActiveActorsCountOrBuilder>`
`getActiveActorsCountOrBuilderList()`
Deprecated.
`DaprProtos.ActorRuntime`
`getActorRuntime()`
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`
`DaprProtos.ActorRuntimeOrBuilder`
`getActorRuntimeOrBuilder()`
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`
`DaprProtos.AppConnectionProperties`
`getAppConnectionProperties()`
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`DaprProtos.AppConnectionPropertiesOrBuilder`
`getAppConnectionPropertiesOrBuilder()`
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`static DaprProtos.GetMetadataResponse`
`getDefaultInstance()`
`DaprProtos.GetMetadataResponse`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`String`
`getEnabledFeatures(int index)`
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`com.google.protobuf.ByteString`
`getEnabledFeaturesBytes(int index)`
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`int`
`getEnabledFeaturesCount()`
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`com.google.protobuf.ProtocolStringList`
`getEnabledFeaturesList()`
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`Map<String,String>`
`getExtendedMetadata()`
Deprecated.
`int`
`getExtendedMetadataCount()`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`Map<String,String>`
`getExtendedMetadataMap()`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`String`
`getExtendedMetadataOrDefault(String key, String defaultValue)`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`String`
`getExtendedMetadataOrThrow(String key)`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`DaprProtos.MetadataHTTPEndpoint`
`getHttpEndpoints(int index)`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`int`
`getHttpEndpointsCount()`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`List<DaprProtos.MetadataHTTPEndpoint>`
`getHttpEndpointsList()`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`DaprProtos.MetadataHTTPEndpointOrBuilder`
`getHttpEndpointsOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`List<? extends DaprProtos.MetadataHTTPEndpointOrBuilder>`
`getHttpEndpointsOrBuilderList()`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`String`
`getId()`
`string id = 1;`
`com.google.protobuf.ByteString`
`getIdBytes()`
`string id = 1;`
`com.google.protobuf.Parser<DaprProtos.GetMetadataResponse>`
`getParserForType()`
`DaprProtos.RegisteredComponents`
`getRegisteredComponents(int index)`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`int`
`getRegisteredComponentsCount()`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`List<DaprProtos.RegisteredComponents>`
`getRegisteredComponentsList()`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`DaprProtos.RegisteredComponentsOrBuilder`
`getRegisteredComponentsOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`List<? extends DaprProtos.RegisteredComponentsOrBuilder>`
`getRegisteredComponentsOrBuilderList()`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`String`
`getRuntimeVersion()`
`string runtime_version = 8 [json_name = "runtimeVersion"];`
`com.google.protobuf.ByteString`
`getRuntimeVersionBytes()`
`string runtime_version = 8 [json_name = "runtimeVersion"];`
`DaprProtos.MetadataScheduler`
`getScheduler()`
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`
`DaprProtos.MetadataSchedulerOrBuilder`
`getSchedulerOrBuilder()`
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`
`int`
`getSerializedSize()`
`DaprProtos.PubsubSubscription`
`getSubscriptions(int index)`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`int`
`getSubscriptionsCount()`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`List<DaprProtos.PubsubSubscription>`
`getSubscriptionsList()`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`DaprProtos.PubsubSubscriptionOrBuilder`
`getSubscriptionsOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`List<? extends DaprProtos.PubsubSubscriptionOrBuilder>`
`getSubscriptionsOrBuilderList()`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`boolean`
`hasActorRuntime()`
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`
`boolean`
`hasAppConnectionProperties()`
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`int`
`hashCode()`
`boolean`
`hasScheduler()`
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMapFieldReflection(int number)`
`final boolean`
`isInitialized()`
`static DaprProtos.GetMetadataResponse.Builder`
`newBuilder()`
`static DaprProtos.GetMetadataResponse.Builder`
`newBuilder(DaprProtos.GetMetadataResponse prototype)`
`DaprProtos.GetMetadataResponse.Builder`
`newBuilderForType()`
`protected DaprProtos.GetMetadataResponse.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.GetMetadataResponse`
`parseDelimitedFrom(InputStream input)`
`static DaprProtos.GetMetadataResponse`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(byte[] data)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(InputStream input)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(ByteBuffer data)`
`static DaprProtos.GetMetadataResponse`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.GetMetadataResponse>`
`parser()`
`DaprProtos.GetMetadataResponse.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### ID_FIELD_NUMBER

public static final int ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### ACTIVE_ACTORS_COUNT_FIELD_NUMBER

public static final int ACTIVE_ACTORS_COUNT_FIELD_NUMBER

See Also:
  - Constant Field Values

### REGISTERED_COMPONENTS_FIELD_NUMBER

public static final int REGISTERED_COMPONENTS_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXTENDED_METADATA_FIELD_NUMBER

public static final int EXTENDED_METADATA_FIELD_NUMBER

See Also:
  - Constant Field Values

### SUBSCRIPTIONS_FIELD_NUMBER

public static final int SUBSCRIPTIONS_FIELD_NUMBER

See Also:
  - Constant Field Values

### HTTP_ENDPOINTS_FIELD_NUMBER

public static final int HTTP_ENDPOINTS_FIELD_NUMBER

See Also:
  - Constant Field Values

### APP_CONNECTION_PROPERTIES_FIELD_NUMBER

public static final int APP_CONNECTION_PROPERTIES_FIELD_NUMBER

See Also:
  - Constant Field Values

### RUNTIME_VERSION_FIELD_NUMBER

public static final int RUNTIME_VERSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### ENABLED_FEATURES_FIELD_NUMBER

public static final int ENABLED_FEATURES_FIELD_NUMBER

See Also:
  - Constant Field Values

### ACTOR_RUNTIME_FIELD_NUMBER

public static final int ACTOR_RUNTIME_FIELD_NUMBER

See Also:
  - Constant Field Values

### SCHEDULER_FIELD_NUMBER

public static final int SCHEDULER_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getId

public String getId()
`string id = 1;`

Specified by:
  `getId` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The id.

### getIdBytes

public com.google.protobuf.ByteString getIdBytes()
`string id = 1;`

Specified by:
  `getIdBytes` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The bytes for id.

### getActiveActorsCountList

@Deprecated public List<DaprProtos.ActiveActorsCount> getActiveActorsCountList()
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

Specified by:
  `getActiveActorsCountList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getActiveActorsCountOrBuilderList

@Deprecated public List<? extends DaprProtos.ActiveActorsCountOrBuilder> getActiveActorsCountOrBuilderList()
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

Specified by:
  `getActiveActorsCountOrBuilderList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getActiveActorsCountCount

@Deprecated public int getActiveActorsCountCount()
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

Specified by:
  `getActiveActorsCountCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getActiveActorsCount

@Deprecated public DaprProtos.ActiveActorsCount getActiveActorsCount(int index)
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

Specified by:
  `getActiveActorsCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getActiveActorsCountOrBuilder

@Deprecated public DaprProtos.ActiveActorsCountOrBuilder getActiveActorsCountOrBuilder(int index)
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

Specified by:
  `getActiveActorsCountOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getRegisteredComponentsList

public List<DaprProtos.RegisteredComponents> getRegisteredComponentsList()
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponentsList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getRegisteredComponentsOrBuilderList

public List<? extends DaprProtos.RegisteredComponentsOrBuilder> getRegisteredComponentsOrBuilderList()
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponentsOrBuilderList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getRegisteredComponentsCount

public int getRegisteredComponentsCount()
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponentsCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getRegisteredComponents

public DaprProtos.RegisteredComponents getRegisteredComponents(int index)
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponents` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getRegisteredComponentsOrBuilder

public DaprProtos.RegisteredComponentsOrBuilder getRegisteredComponentsOrBuilder(int index)
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

Specified by:
  `getRegisteredComponentsOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getExtendedMetadataCount

public int getExtendedMetadataCount()
Description copied from interface: `DaprProtos.GetMetadataResponseOrBuilder`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `getExtendedMetadataCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### containsExtendedMetadata

public boolean containsExtendedMetadata(String key)
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `containsExtendedMetadata` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getExtendedMetadata

@Deprecated public Map<String,String> getExtendedMetadata()
Deprecated.
Use `getExtendedMetadataMap()` instead.

Specified by:
  `getExtendedMetadata` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getExtendedMetadataMap

public Map<String,String> getExtendedMetadataMap()
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `getExtendedMetadataMap` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getExtendedMetadataOrDefault

public String getExtendedMetadataOrDefault(String key, String defaultValue)
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `getExtendedMetadataOrDefault` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getExtendedMetadataOrThrow

public String getExtendedMetadataOrThrow(String key)
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

Specified by:
  `getExtendedMetadataOrThrow` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getSubscriptionsList

public List<DaprProtos.PubsubSubscription> getSubscriptionsList()
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptionsList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getSubscriptionsOrBuilderList

public List<? extends DaprProtos.PubsubSubscriptionOrBuilder> getSubscriptionsOrBuilderList()
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptionsOrBuilderList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getSubscriptionsCount

public int getSubscriptionsCount()
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptionsCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getSubscriptions

public DaprProtos.PubsubSubscription getSubscriptions(int index)
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptions` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getSubscriptionsOrBuilder

public DaprProtos.PubsubSubscriptionOrBuilder getSubscriptionsOrBuilder(int index)
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

Specified by:
  `getSubscriptionsOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getHttpEndpointsList

public List<DaprProtos.MetadataHTTPEndpoint> getHttpEndpointsList()
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpointsList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getHttpEndpointsOrBuilderList

public List<? extends DaprProtos.MetadataHTTPEndpointOrBuilder> getHttpEndpointsOrBuilderList()
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpointsOrBuilderList` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getHttpEndpointsCount

public int getHttpEndpointsCount()
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpointsCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getHttpEndpoints

public DaprProtos.MetadataHTTPEndpoint getHttpEndpoints(int index)
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpoints` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getHttpEndpointsOrBuilder

public DaprProtos.MetadataHTTPEndpointOrBuilder getHttpEndpointsOrBuilder(int index)
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

Specified by:
  `getHttpEndpointsOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### hasAppConnectionProperties

public boolean hasAppConnectionProperties()
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Specified by:
  `hasAppConnectionProperties` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  Whether the appConnectionProperties field is set.

### getAppConnectionProperties

public DaprProtos.AppConnectionProperties getAppConnectionProperties()
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Specified by:
  `getAppConnectionProperties` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The appConnectionProperties.

### getAppConnectionPropertiesOrBuilder

public DaprProtos.AppConnectionPropertiesOrBuilder getAppConnectionPropertiesOrBuilder()
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Specified by:
  `getAppConnectionPropertiesOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### getRuntimeVersion

public String getRuntimeVersion()
`string runtime_version = 8 [json_name = "runtimeVersion"];`

Specified by:
  `getRuntimeVersion` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The runtimeVersion.

### getRuntimeVersionBytes

public com.google.protobuf.ByteString getRuntimeVersionBytes()
`string runtime_version = 8 [json_name = "runtimeVersion"];`

Specified by:
  `getRuntimeVersionBytes` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The bytes for runtimeVersion.

### getEnabledFeaturesList

public com.google.protobuf.ProtocolStringList getEnabledFeaturesList()
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Specified by:
  `getEnabledFeaturesList` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  A list containing the enabledFeatures.

### getEnabledFeaturesCount

public int getEnabledFeaturesCount()
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Specified by:
  `getEnabledFeaturesCount` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The count of enabledFeatures.

### getEnabledFeatures

public String getEnabledFeatures(int index)
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Specified by:
  `getEnabledFeatures` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The enabledFeatures at the given index.

### getEnabledFeaturesBytes

public com.google.protobuf.ByteString getEnabledFeaturesBytes(int index)
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Specified by:
  `getEnabledFeaturesBytes` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the enabledFeatures at the given index.

### hasActorRuntime

public boolean hasActorRuntime()
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`

Specified by:
  `hasActorRuntime` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  Whether the actorRuntime field is set.

### getActorRuntime

public DaprProtos.ActorRuntime getActorRuntime()
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`

Specified by:
  `getActorRuntime` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The actorRuntime.

### getActorRuntimeOrBuilder

public DaprProtos.ActorRuntimeOrBuilder getActorRuntimeOrBuilder()
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`

Specified by:
  `getActorRuntimeOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### hasScheduler

public boolean hasScheduler()
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`

Specified by:
  `hasScheduler` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  Whether the scheduler field is set.

### getScheduler

public DaprProtos.MetadataScheduler getScheduler()
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`

Specified by:
  `getScheduler` in interface `DaprProtos.GetMetadataResponseOrBuilder`
Returns:
  The scheduler.

### getSchedulerOrBuilder

public DaprProtos.MetadataSchedulerOrBuilder getSchedulerOrBuilder()
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`

Specified by:
  `getSchedulerOrBuilder` in interface `DaprProtos.GetMetadataResponseOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.GetMetadataResponse parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.GetMetadataResponse parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.GetMetadataResponse parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DaprProtos.GetMetadataResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static DaprProtos.GetMetadataResponse.Builder newBuilder()

### newBuilder

public static DaprProtos.GetMetadataResponse.Builder newBuilder(DaprProtos.GetMetadataResponse prototype)

### toBuilder

public DaprProtos.GetMetadataResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected DaprProtos.GetMetadataResponse.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static DaprProtos.GetMetadataResponse getDefaultInstance()

### parser

public static com.google.protobuf.Parser<DaprProtos.GetMetadataResponse> parser()

### getParserForType

public com.google.protobuf.Parser<DaprProtos.GetMetadataResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public DaprProtos.GetMetadataResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`